Initiate the execution of a specific Workflow by its name. You can specify input variables, metadata, and choose which version of the Workflow to run.Documentation Index
Fetch the complete documentation index at: https://docs.promptlayer.com/llms.txt
Use this file to discover all available pages before exploring further.
POST /workflows/{workflow_name}/run
callback_url is provided
When a callback_url is provided, PromptLayer will POST the following to your callback URL when the workflow completes:
final_output structure matches the response from the GET /workflow-version-execution-results endpoint.Your API key for authentication.
The name of the workflow to execute.
Parameters to run a workflow.
Specify a workflow label name to run a specific labeled version.
Specify a workflow version number to run a specific version.
A dictionary of metadata key-value pairs.
A dictionary of input variables required by the workflow.
If set to true, all outputs from the workflow execution will be returned.
Workflow execution created successfully
Response after initiating a workflow execution.